package com.mortals.xhx.common.utils;

import com.mortals.xhx.module.dept.service.DeptService;
import com.mortals.xhx.module.matter.service.MatterService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;

/**
 * 同步部门数据
 *
 * @author: zxfei
 * @date: 2022/4/13 13:34
 * @description:
 **/
@AllArgsConstructor
@Slf4j
public class SyncDeptThread implements Runnable {

    private DeptService deptService;

    private String areaCode;

    @Override
    public void run() {
        deptService.syncDept(areaCode,null);
    }

}
